Debian Bug report logs - #306067
tellico: unicode in collection field name sometimes mishandled

version graph

Package: tellico; Maintainer for tellico is Regis Boudin <regis@debian.org>; Source for tellico is src:tellico.

Reported by: Dean Serenevy <dean@cs.serenevy.net>

Date: Sun, 24 Apr 2005 00:18:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream

Found in version 0.13.3-1

Done: "Regis Boudin" <regis@boudin.name>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#306067; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Dean Serenevy <dean@cs.serenevy.net>:
New Bug report received and forwarded. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dean Serenevy <dean@cs.serenevy.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tellico: unicode in collection field name sometimes mishandled
Date: Sat, 23 Apr 2005 20:14:00 -0400 (EDT)
[Message part 1 (text/plain, inline)]
Package: tellico
Version: 0.13.3-1
Severity: normal


If a collection field name contains a more exotice UTF-8 character then
records which have a value for that field will not be displayed.

An example file is attached. Open the example file in tellico and select
the "Pencil 3" or "Pencil 4" entries. They will not appear in the entry
view frame. All other records function properly.

The field which causes the problem is the "Hall inv. / A₄" field which has
the name "hall-inv--a₄" in tellico.xml file in the zip archive.
Interestingly, this is not a problem for the poincaré-poly-factors field
which makes an appearance in the "Braid Arrangement; A₃" record.



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages tellico depends on:
ii  kdelibs4             4:3.3.2-4.0.2       KDE core libraries
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D graphi
ii  libaudio2            1.7-2               The Network Audio System (NAS). (s
ii  libc6                2.3.2.ds1-20        GNU C Library: Shared libraries an
ii  libfam0c102          2.7.0-6             client library to control the FAM
ii  libfontconfig1       2.3.1-2             generic font configuration library
ii  libfreetype6         2.1.7-2.3           FreeType 2 font engine, shared lib
ii  libgcc1              1:3.4.3-12          GCC support library
ii  libgcrypt11          1.2.0-4             LGPL Crypto library - runtime libr
ii  libgpg-error0        1.0-1               library for common error values an
ii  libice6              4.3.0.dfsg.1-12.0.1 Inter-Client Exchange library
ii  libidn11             0.5.13-1.0          GNU libidn library, implementation
ii  libjpeg62            6b-9                The Independent JPEG Group's JPEG
ii  libkcddb1            4:3.3.2-1           cddb library for KDE
ii  libpcre3             4.5-1.1             Perl 5 Compatible Regular Expressi
ii  libpng12-0           1.2.8rel-1          PNG library - runtime
ii  libqt3c102-mt        3:3.3.4-2           Qt GUI Library (Threaded runtime v
ii  libsm6               4.3.0.dfsg.1-12.0.1 X Window System Session Management
ii  libssl0.9.7          0.9.7e-3            SSL shared libraries
ii  libstdc++5           1:3.3.5-8           The GNU Standard C++ Library v3
ii  libtag1              1.3.1-1             TagLib Audio Meta-Data Library
ii  libwrap0             7.6.dbs-8           Wietse Venema's TCP wrappers libra
ii  libx11-6             4.3.0.dfsg.1-12.0.1 X Window System protocol client li
ii  libxcursor1          1.1.3-1             X cursor management library
ii  libxext6             4.3.0.dfsg.1-12.0.1 X Window System miscellaneous exte
ii  libxft2              2.1.7-1             FreeType-based font drawing librar
ii  libxml2              2.6.16-6            GNOME XML library
ii  libxrandr2           4.3.0.dfsg.1-12.0.1 X Window System Resize, Rotate and
ii  libxrender1          0.8.3-7             X Rendering Extension client libra
ii  libxslt1.1           1.1.12-8            XSLT processing library - runtime
ii  libxt6               4.3.0.dfsg.1-12.0.1 X Toolkit Intrinsics
ii  libyaz               2.0.30-3            Z39.50 runtime libraries
ii  xlibs                4.3.0.dfsg.1-12     X Keyboard Extension (XKB) configu
ii  zlib1g               1:1.2.2-3           compression library - runtime

-- no debconf information
[Arrangements.bc (application/zip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#306067; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Robby Stephenson <robby@periapsis.org>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #10 received at 306067@bugs.debian.org (full text, mbox):

From: Robby Stephenson <robby@periapsis.org>
To: Dean Serenevy <dean@cs.serenevy.net>, 306067@bugs.debian.org
Subject: Re: Bug#306067: tellico: unicode in collection field name sometimes mishandled
Date: Wed, 27 Apr 2005 21:18:45 -0700
On Saturday 23 April 2005 17:14, Dean Serenevy wrote:
> If a collection field name contains a more exotice UTF-8 character then
> records which have a value for that field will not be displayed.

Thanks for the report. I've fixed my code to be more strict about validity 
checking on the generated xml element names, using the libxml2 routines. 
The fix will be in the next version of Tellico.

That won't fix your problem, you'll have to fix the xml file yourself. Sorry 
about that. Just rename the field itself and all the xml elements with that 
name.

Robby



Tags added: confirmed, fixed-upstream Request was from Regis Boudin <regis@boudin.name> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Regis Boudin" <regis@boudin.name>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dean Serenevy <dean@cs.serenevy.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 306067-done@bugs.debian.org (full text, mbox):

From: "Regis Boudin" <regis@boudin.name>
To: "Dean Serenevy" <dean@cs.serenevy.net>, 306067-done@bugs.debian.org
Subject: Re: Bug#306067: tellico: unicode in collection field name sometimes mishandled
Date: Thu, 8 Dec 2005 12:15:02 -0000 (GMT)
This bug should have been closed with the previous upload, but I forgot it
in the list.

If you believe it is not the case, please don't hesitate to reopen.

Regards,
Regis
-- 
"While a monkey can be a manager, it takes a human to be an engineer" Erik
Zapletal




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:13:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:11:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.